<?php


namespace App\Classes\Modules\Orders\Standards\Rules;

use App\Classes\General\Abstracts\AbstractRule;


class CanChangeOrderAddress extends AbstractRule
{
    /**
     * @return bool
     */
    protected function authorized($object): bool
    {
        // TODO  Set Authorization rules
        return true;

    }

    /**
     * @param OrderObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;

    }

    /**
     * @param OrderObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }
}
